<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.rhhz.journal.web.action.CatalogBusinessController"%>
<%@ page import="com.rhhz.downloads.action.ResourceController"%>
<%@ include file="../../include/global.jsp" %>
<%@ taglib prefix="tags" tagdir="/WEB-INF/tags" %>
<%@ page import="com.rhhz.journal.web.action.JournalBusinessController"%>
<%@ page import="com.rhhz.journal.web.action.ArticleLatestStateController"%>
<%
	pageContext.setAttribute("requestPath",JournalBusinessController.BASE_PATH);
	pageContext.setAttribute("resourceRequestPath",ResourceController.BASE_PATH);
	pageContext.setAttribute("catalogRequestPath",CatalogBusinessController.BASE_PATH);
	pageContext.setAttribute("latestStateRequestPath",ArticleLatestStateController.BASE_PATH);
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
	<script type="text/javascript">
		//上传文件弹出框
		function uploadFile(journalId){
			var state = $("#articleLatestStateId").val();
			if(null != state || "" != state){
				setTimeout(function(){
					
					var url = "<%=basePath%>manager/journal/catalog/newFileUpLoad?journalId="+journalId+"&articleState="+state;
					var options = {target:"navTab"};
					var rel = 'w_checkupload';
					var title = '导入优先发表文章';
					$("#uploadlatestarticle").attr("href",url);
	    			$("#uploadlatestarticle").click();
					//navTab.openTab(rel,url,{title:title, fresh:"true", external:"false"});
				},10);
			}else{
				alert("请选择出版状态！");
			}
		}
		function uploadFZFile(journalId){
			var state = $("#articleLatestStateId").val();
			if(null != state || "" != state){
				setTimeout(function(){
					var url = "<%=basePath%>manager/journal/catalog/newFZFileUpLoad?journalId="+journalId+"&articleState="+state+"&tokenRhhz=" + $("#tokenRhhz").val();
					var options = {width:500,height:190,mask:true,mixable:true,minable:true,resizable:true,drawable:true,fresh:true};
					var rel = 'choose_latest_status111';
					var title = '导入优先发表文章';
					$.pdialog.open(url, rel, title, options);
				},10);
			}else{
				alert("请选择出版状态！");
			}
		}
		//判断是否有出版状态
		function judgeLatestState(obj,journalId){
			$.ajax({
				type:"post",
				url:"<%=basePath%>${latestStateRequestPath}checkArticleLatestState",
				data:{'journalId':journalId,'tokenRhhz':$("#tokenRhhz").val()},
				dataType:'html',
				async:false,
				success:function(_resultdata){
					if(_resultdata=="true"){
						$(obj).attr("title","选择出版状态");
						$(obj).attr("href","<%=basePath%>${latestStateRequestPath}getArticleLatestStatePageLookup?journalId="+journalId);
					}else{
						alert("请先添加出版状态！");
						$(obj).attr("title","添加出版状态");
						$(obj).attr("href","<%=basePath%>manager/journal/articlelateststate/toArticleLatestState?journalId="+journalId);
					}
				}
			})
		}
		
		function judgeLatestStateFZ(obj,journalId){
			$.ajax({
				type:"post",
				url:"<%=basePath%>${latestStateRequestPath}checkArticleLatestState",
				data:{'journalId':journalId,'tokenRhhz':$("#tokenRhhz").val()},
				dataType:'html',
				async:false,
				success:function(_resultdata){
					if(_resultdata=="true"){
						$(obj).attr("title","选择出版状态");
						$(obj).attr("href","<%=basePath%>${latestStateRequestPath}getArticleLatestStatePageLookupFZ?journalId="+journalId+"&tokenRhhz=" + $("#tokenRhhz").val());
					}else{
						alert("请先添加出版状态！");
						$(obj).attr("title","添加出版状态");
						$(obj).attr("href","<%=basePath%>manager/journal/articlelateststate/toArticleLatestState?journalId="+journalId+"&tokenRhhz=" + $("#tokenRhhz").val());
					}
				}
			})
		}

		function judgeLatestState2(obj,journalId){
			 var url = "<%=basePath%>${latestStateRequestPath}getArticleLatestStatePageLookup?journalId="+journalId + "&tokenRhhz=" + $("#tokenRhhz").val();
			 $(obj).attr('href',url);
			 $(obj).attr('target',"dialog"); 
		}
	</script>
  </head>
  
  <body>
	<form id="pagerForm"  action="<%=basePath%>${requestPath}/listJournalsByPage"  onsubmit="return navTabSearch(this)" method="post">
	<input type="hidden" name="pageNum" value="${pagerFilter.pagePer}" />
	<input type="hidden" name="numPerPage"  value="${pagerFilter.max}"/>
	<div class="pageHeader">
	<div class="searchBar">
		<table class="searchContent">
			<tr>
			   <td>		
				  &nbsp;&nbsp;&nbsp;&nbsp;
				       名称：<input type="text" class="clearValue" size=19  name="title" value="${journalInfo.title}">
				  &nbsp;&nbsp;&nbsp;&nbsp;
				  ISSN：<input type="text" class="clearValue" size=19  name="issnPpub" value="${journalInfo.issnPpub}">
				  &nbsp;&nbsp;&nbsp;&nbsp;
				</td>
			</tr>
		</table>
		<div class="subBar">
			<ul>
				<li><div class="buttonActive"><div class="buttonContent"><button type="submit">检索</button></div></div></li>
				<li>
					<div class="buttonActive">
						<div class="buttonContent">
							<button type="button" id="clearButton" class="clearButton">
								清除
							</button>
						</div>
					</div>
				</li>
			</ul>
		</div>		
	</div>
	</div>
</form>
<div class="panelBar">
	<ul class="toolBar">
    	<!--<c:if test="${not empty userPermissions['journal_add']}">
    		<li><a class="add" target="dialog" width="900" height="560" mask="true"  href="<%=basePath%>${requestPath}editJournalInfo" title="添加刊物信息"  rel="w_edit_preriodical"><span>添加刊物</span></a></li>
    	</c:if> -->
    	<c:if test="${not empty userPermissions['journal_index_delete']}">
    		<li><a class="edit" href="<%=basePath%>sys/index/duplicate" target="ajaxTodo" rel="w_updae_index"><span>删除重复索引</span></a></li>
    	</c:if>
    	<c:if test="${not empty userPermissions['journal_file_delete']}">
    		<li><a class="edit" href="<%=basePath%>sys/utils/deleteTempFile" target="ajaxTodo" rel="w_delete_temp_file"><span>删除临时文件</span></a></li>
    	</c:if>
    	<c:if test="${not empty userPermissions['journal_index_create']}">
    		<li><a class="edit" href="<%=basePath%>sys/utils/runIndex" target="ajaxTodo" rel="w_create_index" title="重新创建索引会影响服务器运行，您确定执行吗？"><span>重新创建索引</span></a></li>
    	</c:if>
    </ul>
</div>
<input class="textInput" id="articleLatestStateId"  name="articleLatestState.id" style="display:none" type="text">
<!--  -->
<a id="latestEmployId" style="display:none;" href="<%=basePath%>manager/journal/catalog/newFileUpLoad?journalId=${item.id}" width="500" height="190" mask="true" target="dialog" title="导入最新录用">[导入最新录用]</a>
<a id="latestEmployId111" style="display:none;" width="900" height="600"   href="javascript:void(0);"  lookupgroup="articleLatestState" rel="lookup_news" title="发布到资讯">[发布到资讯]</a>
<div class="pageContent">
	<table class="table" layoutH="114" width="1500">
		<thead>
			<tr>
				<th width="2%" align="center">序号</th>
				<th width="5%" align="center">期刊名称</th>				
				<th width="4%" align="center">ISSN</th>
				<th width="4%" align="center">状态</th>
				<th width="3%" align="left">主编</th>
				<th width="2%" align="center">刊出周期</th>
				<th width="2%" align="center">语种</th>
				<th width="45%" align="center">操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${pagerFilter.objs}" var="item" varStatus="r">
        <tr class=table-alternate1 align=middle  target="sid_per" rel="${item.id }">
          <td>${r.index+1}</td>
          <td style="text-align: left;">
          	<c:choose>
	            <c:when test="${not empty userPermissions['journal_update']}">
          	 		<a href="<%=basePath%>${requestPath}editJournalInfo?id=${item.id}" target="navTab" title="编辑刊物信息" mask="true" width="800" height="560" rel="w_edit_preriodical">${item.title}</a>
          		</c:when>
	          	<c:otherwise>
	          		${item.title}
	          	</c:otherwise>
		     </c:choose>
          </td>
          <td align=center>${item.issnPpub }</td>
          <td align=center>
	          <c:choose>
		          	<c:when test="${item.releaseState==0}">
	          			发布
		            </c:when>
		          	<c:otherwise>
		          		显示
		          	</c:otherwise>
		      </c:choose>
          </td>
          <td align=center>${item.hostEditor }</td>
          <td align=center>
       		<c:if test="${item.cycleType=='1'}">年刊</c:if>
			<c:if test="${item.cycleType=='2'}">半年刊</c:if>
			<c:if test="${item.cycleType=='3'}">季刊</c:if>
			<c:if test="${item.cycleType=='4'}">双月刊</c:if>
			<c:if test="${item.cycleType=='5'}">月刊</c:if>
			<c:if test="${item.cycleType=='6'}">半月刊</c:if>
			<c:if test="${item.cycleType=='7'}">旬刊</c:if>
			<c:if test="${item.cycleType=='8'}">周刊</c:if>
          </td>
          <td align=center>
          	<c:choose>
	          	<c:when test="${item.language=='en' }">
          			<span class="fail">英文</span>
	            </c:when>
	          	<c:otherwise>
	          		<span class="success">中文</span>
	          	</c:otherwise>
		     </c:choose>
          </td>
          <td>
          	<c:if test="${not empty userPermissions['journal_update']}">
				<a href="<%=basePath%>${requestPath}editJournalInfo?id=${item.id}" target=navTab title="编辑刊物信息" mask="true" width="900" height="560" rel="w_edit_preriodical">[编辑]</a>
				&nbsp;&nbsp;
			</c:if>
			<!-- 
          	<c:if test="${not empty userPermissions['journal_catalog']}">
          		<a  href="<%=basePath%>${catalogRequestPath}listCatalogByPage?jId=${item.id}" target="navTab" rel="w_journalCatalog" title="目次信息管理">[目次]</a>
				&nbsp;&nbsp;
			</c:if>
			<c:if test="${not empty userPermissions['journal_resources']}">
				<a  href="<%=basePath%>${resourceRequestPath}journalManagerResourcePage?journalId=${item.id}" target="navTab" rel="w_resource_download">[资源库]</a>
				&nbsp;&nbsp;
			</c:if>
			<c:if test="${not empty userPermissions['journal_topic']}">
				<a  href="<%=basePath %>manager/topic/journalVirtualTopicListByPage?journalId=${item.id}" target="navTab" rel="w_virtual_topic">[虚拟专辑]</a>
				&nbsp;&nbsp;
			</c:if>
			 -->
			<!-- 2020年6月5日13:14:09 FY 原集群功能
			<c:if test="${not empty userPermissions['journal_setIndexShow']}">
				<c:choose>
					<c:when test="${item.showIndex==1}">
						<a href="<%=basePath%>${requestPath}setIndexShow?id=${item.id}&flag=0" target="ajaxTodo" title="取消首页显示" rel="w_setIndexShow_preriodical">[取消首页显示]</a>
					</c:when>
					<c:otherwise>
						<a href="<%=basePath%>${requestPath}setIndexShow?id=${item.id}&flag=1" target="ajaxTodo" title="设置首页显示" rel="w_setIndexShow_preriodical">[设置首页显示]</a>
					</c:otherwise>
				</c:choose>
				&nbsp;&nbsp;
			</c:if>
			 -->
			<a href="<%=basePath%>${latestStateRequestPath}getArticleLatestStatePage?journalId=${item.id}" target="navTab" title="出版状态" mask="true" width="900" height="560" rel="w_articleState">[出版状态]</a>
		 	&nbsp;&nbsp;
			<a href="<%=basePath%>manager/journal/doi/editDoiAcount?journalId=${item.id}" target="dialog" title="doi注册账户" mask="true" width="850" height="550" rel="rel_edit_doi_acount">[DOI注册信息]</a>
			&nbsp;&nbsp;
			<a onclick="judgeLatestState(this,'${item.id}');" href="javascript:void(0);" width="560" height="360" lookupgroup="articleLatestState" rel="lookup_latestate"  title="导入优先发表文章">[导入优先发表文章]</a>
			&nbsp;&nbsp;
			<c:set var="isshowFZperiodical" value="${rhhz:getSysSettingVal('isShowFZ') }"></c:set>
			<c:if test="${isshowFZperiodical == 1 }">
			<a onclick="judgeLatestStateFZ(this,'${item.id}');" href="javascript:void(0);" width="560" height="360" lookupgroup="articleLatestState" rel="lookup_latestate"  title="导入优先发表文章">[导入方正优先发表文章]</a>
			&nbsp;&nbsp;
			</c:if>
			<!-- 
			<a href="<%=basePath%>manager/access/journalAccess?id=${item.id}" target="dialog" width="560" mask="true" title="设置文章全文访问权限">[文章访问权限]</a>
			&nbsp;&nbsp;
			<a href="<%=basePath%>manager/menu/journal/list?id=${item.id}" target="dialog" width="560" mask="true" title="设置文章菜单可见性">[文章菜单配置]</a>
			&nbsp;&nbsp;
			-->
			<a href="<%=basePath%>manager/journal/article/checkAuthor?id=${item.id}" target="dialog" width="560" height="210" mask="true" title="重置作者英文姓名顺序"  rel="rel_check_author">[重置作者英文姓名顺序]</a>
		  	<a href="<%=basePath%>manager/journal/if/listImpactFactors" target="navTab" title="查看影响因子" mask="true"  rel="w_if">[影响因子]</a>
		  </td>
        </tr>
        </c:forEach>        
		</tbody>
	</table>
</div>
	<!-- 分页 -->
	<tags:pagerBar></tags:pagerBar>
</body>
</html>
